## org.red5.server.api.plugin
Interface IRed5Plugin

All Known Implementing Classes:
  Red5Plugin

    public interface IRed5Plugin

Base interface for a Red5 server Plug-in.

Author:
  Paul Gregoire (mondain@gmail.com)

Method Summary
`void` `doStart()` Lifecycle method called when the plug-in is started.
`void` `doStop()` Lifecycle method called when the plug-in is stopped.
`String` `getName()` Returns a name / identifier for the plug-in.
`void` `setApplicationContext(ApplicationContext context)` Sets the top-most ApplicationContext within Red5.
`void` `setServer(Server server)` Sets a reference to the server.

Method Detail

### getName

    String getName()

  Returns a name / identifier for the plug-in.

  Returns:
    plug-in's name

### setApplicationContext

    void setApplicationContext(ApplicationContext context)

  Sets the top-most ApplicationContext within Red5.

  Parameters:
    `context` -

### setServer

    void setServer(Server server)

  Sets a reference to the server.

  Parameters:
    `server` -

### doStart

    void doStart()
                 throws Exception

  Lifecycle method called when the plug-in is started.

  Throws:
    `Exception`

### doStop

    void doStop()
                throws Exception

  Lifecycle method called when the plug-in is stopped.

  Throws:
    `Exception`

Copyright © 2006-2010 The Red5 Project